% Cost as function of efficiency cost.m
% Efficiency assumed to be integer 1:M

function c=cost(eff);

% global variables - see master file for comments
global kappa rho eta; % coefs
global mmax; % max meaninfull level of efficiency

%%% fool proof argument
eff = round(eff); % integer
eff = min(max(eff,1),mmax); % =1:mmax

%if eff < 1 
 %   c = kappa;
 %elseif eff >= mmax
 %   c = kappa * mmax^eta;
 %else
    c = kappa .* eff.^eta;
    %end

% end of function